const mongoose = require("mongoose");
const Schema = mongoose.Schema;
const ObjId = mongoose.Types.ObjectId;
const user = new Schema(
  {
    cairoId: {
      type: String,
      required: true,
    },
    storage: {
      type: Number,
      required: true,
    },
    usedStorage: {
      type: Number,
      required: true,
    },
    owned: {
      type: [ObjId],
      required: true,
    },
    shared: {
      type: [],
      required: true,
    },
  },
  { collection: "users" }
);

module.exports = mongoose.model("user", user);
